Name:          atari800
Version:       4.2.0
Release:       1%{?dist}
Summary:       An emulator of 8-bit Atari personal computers

License:       GPLv2+
URL:           https://atari800.github.io/
%global ver_ %(echo %{version} | tr . _)
Source0:       https://github.com/%{name}/%{name}/archive/ATARI800_%{ver_}/%{name}-%{version}.tar.gz
BuildRequires: gcc, autoconf, automake
BuildRequires: ncurses-devel, libX11-devel, SDL-devel
BuildRequires: libpng-devel, zlib-devel

%description
Atari800 is an emulator for the 800, 800XL, 130XE and 5200 models of
the Atari personal computer. It can be used on console, FrameBuffer or X11.
It features excellent compatibility, HIFI sound support, artifacting
emulation, precise cycle-exact ANTIC/GTIA emulation and more.

Authors:
David Firth
and Atari800 Development Team (see CREDITS for a full list)


%prep
%autosetup -n atari800-ATARI800_%{ver_}


%build
autoreconf -f -i
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%{_bindir}/atari800
%{_mandir}/man1/atari800.1.gz
%license /usr/share/doc/atari800/COPYING
%doc /usr/share/doc/atari800/README.TXT
%doc /usr/share/doc/atari800/README
%exclude /usr/share/doc/atari800/INSTALL
%doc /usr/share/doc/atari800/USAGE
%doc /usr/share/doc/atari800/NEWS
%doc DOC/BUGS DOC/CREDITS DOC/ChangeLog DOC/FAQ DOC/HOWTO-*
%doc DOC/LPTjoy.txt DOC/TODO DOC/cart.txt DOC/coverage.txt DOC/pokeysnd.txt
%doc DOC/r_device.txt DOC/rdevice_faq.txt


%changelog
* Wed Feb 03 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 4.2.0-1
- Initial Fedora package.
